> ## Documentation Index
> Fetch the complete documentation index at: https://developers.manglai.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Emissions Dashboard

> Get a summary of emissions filtered by company, date range, categories, buildings and entities.



## OpenAPI

````yaml /openapi.json get /api/v1/emissions/dashboard
openapi: 3.0.3
info:
  title: Manglai Public API
  description: Manglai API for Carbon Footprint Management
  contact:
    email: admin@manglai.io
    name: Manglai Support
    url: https://manglai.io
  termsOfService: https://manglai.io/privacy
  version: '1.0'
servers:
  - url: https://www.manglai.io
    description: Production
security:
  - apiTokenAuth: []
tags: []
paths:
  /api/v1/emissions/dashboard:
    get:
      tags:
        - emissions
      summary: Get Emissions Dashboard
      description: >-
        Get a summary of emissions filtered by company, date range, categories,
        buildings and entities.
      parameters:
        - name: companyId
          in: query
          description: CompanyId
          required: true
          schema:
            type: string
        - name: startDate
          in: query
          example: '2025-01-01'
          required: false
          schema:
            type: string
            format: date
        - name: endDate
          in: query
          example: '2025-01-31'
          required: false
          schema:
            type: string
            format: date
        - name: categoryIds
          in: query
          description: List of category id
          required: false
          schema:
            type: array
            items:
              type: string
        - name: buildingIds
          in: query
          description: List of building id
          required: false
          schema:
            type: array
            items:
              type: string
        - name: entityIds
          in: query
          description: List of consumptions
          required: false
          schema:
            type: array
            items:
              type: string
        - name: hasCountries
          in: query
          description: Include country-level data
          required: false
          schema:
            type: boolean
        - name: page
          in: query
          description: Page number
          required: false
          schema:
            type: integer
        - name: limit
          in: query
          description: Maximum number of items per page
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: A summary of emissions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmissionsDashboard'
components:
  schemas:
    EmissionsDashboard:
      allOf:
        - $ref: '#/components/schemas/Dashboard'
        - type: object
          properties:
            total:
              type: object
              properties:
                total:
                  type: object
                  properties:
                    emissions:
                      type: number
                    numberOfEmissions:
                      type: integer
            monthly:
              type: object
              properties:
                '[ month: string ]':
                  type: object
                  properties:
                    building:
                      type: object
                    category:
                      type: object
                    categoryByBuilding:
                      type: object
                    company:
                      type: object
                    emissions:
                      type: number
                    numberOfEmissions:
                      type: integer
                    uncertainty:
                      type: object
                      properties:
                        fe:
                          type: number
                        da:
                          type: number
            scope:
              type: object
              properties:
                '[ scopeCode: string ]':
                  type: object
                  properties:
                    id:
                      type: string
                    color:
                      type: string
                    emissionSources:
                      type: array
                      items:
                        type: string
                        nullable: true
                    emissions:
                      type: number
                    numberOfEmissions:
                      type: integer
                    uncertainty:
                      type: object
                      properties:
                        fe:
                          type: number
                        da:
                          type: number
                    name:
                      type: string
                    code:
                      type: string
            category:
              type: object
              properties:
                '[ categoryCode: string ]':
                  type: object
                  properties:
                    id:
                      type: string
                    color:
                      type: string
                    emissions:
                      type: number
                    numberOfEmissions:
                      type: integer
                    uncertainty:
                      type: object
                      properties:
                        fe:
                          type: number
                        da:
                          type: number
                    name:
                      type: string
                    code:
                      type: string
                    parents:
                      type: object
                      properties:
                        '[ parentType: string ]':
                          type: string
            subcategory:
              type: object
              properties:
                '[ subcategoryCode: string ]':
                  type: object
                  properties:
                    id:
                      type: string
                    emissions:
                      type: number
                    numberOfEmissions:
                      type: integer
                    uncertainty:
                      type: object
                      properties:
                        fe:
                          type: number
                        da:
                          type: number
                    name:
                      type: string
                    code:
                      type: string
                    color:
                      type: string
                    parents:
                      type: object
                      properties:
                        '[ parentType: string ]':
                          type: string
                    emissionSources:
                      type: array
                      items:
                        type: string
                        nullable: true
    Dashboard:
      type: object
      properties:
        monthly:
          type: object
          properties:
            '[ month: string ]':
              type: object
              description: A summary of the monthly dashboard.
        company:
          type: object
          properties:
            '[ companyId: string ]':
              type: number
              description: A summary of the company dashboard.
        building:
          type: object
          properties:
            '[ buildingId: string ]':
              type: number
              description: A summary of the building dashboard.
        category:
          type: object
          properties:
            '[ categoryCode: string ]':
              type: object
              description: A summary of the category dashboard.
  securitySchemes:
    apiTokenAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````